VMWare does not start

Bug #1715552 reported by Wolf Rogner on 2017-09-07
138
This bug affects 28 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Under Ubuntu 17.10 beta VMWare 12.5.7 cannot be started:

/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

Works under Ubuntu 17.04

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.12.0-13-generic 4.12.0-13.14
ProcVersionSignature: Ubuntu 4.12.0-13.14-generic 4.12.10
Uname: Linux 4.12.0-13-generic x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: wolf 9336 F.... pulseaudio
 /dev/snd/controlC0: wolf 9336 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Thu Sep 7 07:53:43 2017
HibernationDevice: RESUME=UUID=88d69bc7-ac96-42c6-bf6d-5c912964a63b
InstallationDate: Installed on 2017-09-05 (1 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170902)
MachineType: Apple Inc. MacBookPro12,1
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.12.0-13-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.12.0-13-generic N/A
 linux-backports-modules-4.12.0-13-generic N/A
 linux-firmware 1.167
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/18/2017
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP121.88Z.0167.B33.1706181928
dmi.board.name: Mac-E43C1C25D4880AD6
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro12,1
dmi.chassis.type: 9
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-E43C1C25D4880AD6
dmi.modalias: dmi:bvnAppleInc.:bvrMBP121.88Z.0167.B33.1706181928:bd06/18/2017:svnAppleInc.:pnMacBookPro12,1:pvr1.0:rvnAppleInc.:rnMac-E43C1C25D4880AD6:rvrMacBookPro12,1:cvnAppleInc.:ct9:cvrMac-E43C1C25D4880AD6:
dmi.product.family: MacBook Pro
dmi.product.name: MacBookPro12,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Wolf Rogner (war-rsb) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.13 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: needs-bisect
Seth Forshee (sforshee) wrote :

vmware-modconfig is segfaulting.

[ 6891.596635] vmware-modconfi[23619]: segfault at 2360 ip 0000000000002360 sp 00007fffebc89488 error 14 in appLoader[5587e1e3c000+ad000]

I don't see any reason to think this is a kernel issue though, am I missing something?

Wolf Rogner (war-rsb) wrote :

I agree with Seth:

/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

seems to be an issue related to the build process of librt and libbsd

Mohamed Tawfik (zamaliphe) wrote :

same error here

/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

i did what the error asked me to do and create a symlink for librt.so.1

but the ubuntu did not boot

zam@zam-HP:~$ uname -a
Linux zam-HP 4.12.0-13-generic #14-Ubuntu SMP Sat Sep 2 15:52:55 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

zam@zam-HP:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Artful Aardvark (development branch)
Release: 17.10
Codename: artful

Wolf Rogner (war-rsb) wrote :

$ ldd libbsd.so.0
 linux-vdso.so.1 => (0x00007ffcdafe6000)
 librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fda779ee000)
 libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fda7760e000)
 libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fda773ef000)
 /lib64/ld-linux-x86-64.so.2 (0x00007fda77e0b000)

seems correct ...

$ objdump -d librt.so.1 | grep -B2 -A2 clock_gettime
    51ef: 00

00000000000051f0 <clock_gettime@@GLIBC_2.2.5>:
    51f0: 48 8b 05 d9 1d 20 00 mov 0x201dd9(%rip),%rax # 206fd0 <clock_nanosleep@@GLIBC_2.2.5+0x201db0>
    51f7: c3 retq
...

label clock_gettime is here

-> seems an issue in VMWare to me.
I will file an error with them as well.

Wolf Rogner (war-rsb) wrote :

@Joseph Salisbury re: #3

Tried kernel 4.13.0-10

$ uname -a
Linux mbpr13b 4.13.0-10-generic #11-Ubuntu SMP Sun Sep 10 23:39:40 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
$ vmware
/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

Sorry, this is not it.
I filed a report with VMWare yesterday.

Grief (iamgrief) wrote :

Is there a known way to work around the problem? Maybe something like downgrading libbsd0?

tags: removed: needs-bisect
AndreK (andre-k) on 2017-10-09
description: updated
Wolf Rogner (war-rsb) wrote :

VMWare currently ships version 14 of its software. They probably have no interest to fix this issue.

This is unfortunate.

javroch (javroch) wrote :

At the time VMWare Player 14 was unavailable for Linux at least. For the record, I just tested VMWare Player 14.0.0 for Linux on Ubuntu 17.10 and it launches fine for me now. Can anybody else confirm?

AndreK (andre-k) wrote :

I installed VMware-Workstation-Full-14.0.0-6661328.x86_64.bundle

it *Starts* fine.

However, after logging on, I get an error (see screenshot)
Then, when trying to actually start VM, I get things like:

"Could not lock 962560 bytes of memory at 7F767EE48000 (page 7F767EE48000).
Cannot allocate memory."

- believe me, I have sufficient, free memory...

javroch (javroch) wrote :

After testing further, I actually see the same thing with VMWare Player 14.0.0:

Could not lock 790528 bytes of memory at 7FAB5BE8A000 (page 7FAB5BE8A000).
Cannot allocate memory.

I, as well, have plenty of memory available.

poet_imp (paul-lemmons) wrote :

I am stuck on 12.5.7 for the time being so if anyone gets past the:

/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

problem, please post the workaround.

Daniel (bdaniel7) wrote :

This occurs also with Kubuntu 17.10 RTM and VMware Workstation Pro 12.5.7-5813279.
I remember that on 17.04 it didn't occur.
I used to install the same version of VMWare Workstation in Kubuntu 17.04, running inside a virtual machine (just for testing purposes).

Marco (marcorestom) wrote :

Confirmed on Ubuntu 17.10

Patrick (pverschuer) wrote :

I´ve found a workaround on superuser.com (https://superuser.com/questions/1261885/vmware-workstation-14-not-enough-physical-memory-available-to-start-this-vm-w)

They refer to this Github Commit: https://github.com/mkubecek/vmware-host-modules/commit/fadedd9c8a4dd23f74da2b448572df95666dfe12#diff-ae0f1d7e5facf85af1a3622655f3c70f

These steps fixed the problem for me:

cd /tmp
cp /usr/lib/vmware/modules/source/vmmon.tar .
tar xf vmmon.tar
rm vmmon.tar
wget https://raw.githubusercontent.com/mkubecek/vmware-host-modules/fadedd9c8a4dd23f74da2b448572df95666dfe12/vmmon-only/linux/hostif.c
mv -f hostif.c vmmon-only/linux/hostif.c
tar cf vmmon.tar vmmon-only
rm -fr vmmon-only
sudo mv -f vmmon.tar /usr/lib/vmware/modules/source/vmmon.tar
sudo vmware-modconfig --console --install-all

Running 17.10 with VMware-Player-14.0.0-6661328.x86_64.bundle

Oscar Fuentes (oscarfv) wrote :

Patrick: are you sure you fixed the bug described on this report? The commit you mention is for fixing a problem with memory handling, which is a different issue altogether. This bug is about VMware WS 12.5.7 failing to start on Ubuntu 17.10. AFAIK WS 14 starts fine on 17.10.

Furthermore, the file hostif.c is different for 12.5.7 and 14.0, so people shall take care of using the right one. Plus, IIRC, 12.5.7 requires changing two source files for fixing the memory handling bug.

S.K. (locke122) wrote :

with vmware-player 14.0.0 it works for me

Oscar Fuentes (oscarfv) wrote :

Upgrading to vmware workstation 14 is inconvenient because:

1. You have to pay for the upgrade.

2. Version 14 only works on "modern" cpus. It rejects my cpu, which otherwise ran 12.5.7 fine until I upgraded to ubuntu 17.10.

Patrick (pverschuer) wrote :

Oscar: I only have player 14. But maybe you can test this:

##

As root in /usr/lib/vmware/modules/source:

    Extract vmmon.tar and vmnet.tar

    wget -O ./vmmon-only/linux/hostif.c https://raw.githubusercontent.com/mkubecek/vmware-host-modules/b50848c985f1a6c0a341187346d77f0119d0a835/vmmon-only/linux/hostif.c (see https://communities.vmware.com/thread/571370)

    Edit vmnet-only/bridge.c:

    639c639
    < atomic_inc(&clone->users);
    ---
    > atomic_inc((atomic_t*)&clone->users);

    Run make in vmmon-only and vmnet-only

    cp *.o /lib/modules/4.13.0-16-generic/misc

    insmod /lib/modules/4.13.0-16-generic/misc/vmmon.o

    insmod /lib/modules/4.13.0-16-generic/misc/vmnet.o

    rm /usr/lib/vmware/lib/libz.so.1/libz.so.1

    ln -s /lib/x86_64-linux-gnu/libz.so.1 /usr/lib/vmware/lib/libz.so.1/libz.so.1 (see https://communities.vmware.com/thread/572259)

    vmware-networks --start (see https://forum.chakralinux.org/viewtopic.php?id=8579)

As user: /usr/lib/vmware/bin/vmware (to prevent it running vmware-modconfig)

##

Seen on https://askubuntu.com/questions/966585/ubuntu-17-10-upgrade-broke-vmware-workstation-12-5

Oscar Fuentes (oscarfv) wrote :

I confirm that the recipe listed by Patrick (thanks!) works.

Some additional notes:

It is necessary to re-run `sudo vmware-networks --start` if you reboot the host machine.

I used the code in https://github.com/mkubecek/vmware-host-modules.git for vmnet/vmmon (checkout the branch vmware-workstation-12.5.7). This includes the latest fixes to those modules, just in case.

The directory /lib/modules/4.13.0-16-generic/misc didn't exist on my machine and I had to create it. Most likely this is due to uninstalling vmware 12.5.7 and reinstalling it. The reinstall was not complete because the problem described on this bug report.

Bill Stein (bill-s) wrote :

+1 on Patrick's fix. Thanks for the update.

Yes +1 on patrick, qorks for me, thanks.

the only thing needed for the bug referenced here, is the line (already commented on the Patrick's fix):

ln -s /lib/x86_64-linux-gnu/libz.so.1 /usr/lib/vmware/lib/libz.so.1/libz.so.1

The other stuff in the fix relates to patch the modules, but has nothing to do with the problem of this thread, and therefore is not needed to solve the runtime problem of the library.

iLugo (isra) wrote :

To successfully install VMware Workstation 12.5.9 (and probably 14.x also) in Ubuntu 18.04, follow this procedure:
1. Do the normal installation of VMWare Workstation. Do not run vmware yet. It will fail anyway.
2. Do a git clone (or download as zip package) of the vmware-host-modules project hosted in https://github.com/mkubecek/vmware-host-modules. Make sure to read the README to understand what branch you need to checkout. Detailed instructions for doing this is in the INSTALL document. For example: If you are installing Workstation 12.5.9, then you'd do:
   git clone https://github.com/mkubecek/vmware-host-modules.git
   git checkout workstation-12.5.9
(This project is recommended by: https://wiki.archlinux.org/index.php/VMware#Kernel_modules).
3. cd to the git repo dir (vmware-host-modules) and follow the instructions in the INSTALL document of the project to "Build and install modules - DIRECTLY", i.e., the section "2a." as of this writing. This is important, as it will ensure that your modules are build specifically for your CURRENT kernel. Follow all the steps carefully. You are NOT done yet. If you run vmware at this point, you will get the error that this bug mentions. Next step, you'll fix it.
4. Enter the following sequence of commands in the console:

    cd /usr/lib/vmware/lib/libz.so.1
    sudo mv libz.so.1 libz.so.1.old
    sudo ln -s /lib/x86_64-linux-gnu/libz.so.1 .
    sudo depmod -a
    sudo /etc/init.d/vmware restart

5. If all went OK, you should be ready by know. VMware Workstation (at least 12.5.9 on Ubuntu 18.04) now should work.

iLugo (isra) wrote :

A small correction to the step 2 above:
In the example, after you do the 'git clone ...' command, you have to change directory to the git repo dir (e.g. 'cd vmware-host-modules') before issuing the 'git checkout workstation-x.y.z'. Else, you'd get a git error like this: 'fatal: not a git repository ...', which, while harmless, it might confuse you. Sorry for the lapse.

Michael Harmon (mrharmon) wrote :

Thank you iLugo, your workaround instructions work for me with 18.04 and VMPlayer 12.5.9

iLugo (isra) wrote :

@Michael Harmon, you are very welcome.
I can confirm that my above procedure also works for Workstation Pro 14.1.2.

>> Updated instructions to successfully install Workstation Pro 14.1.2 in (K)ubuntu 18.04

1. Do the normal installation of VMWare Workstation. Do not run vmware yet. It will fail anyway.

2. Do a git clone (or download as zip package) of the vmware-host-modules project hosted in https://github.com/mkubecek/vmware-host-modules. Make sure to read the README to understand what branch you need to checkout. Detailed instructions for doing this is in the INSTALL document. For example: If you are installing Workstation 14.1.2, then you'd do:

    git clone https://github.com/mkubecek/vmware-host-modules.git
    cd vmware-host-modules
    git checkout workstation-14.1.2

 (This project is recommended by: https://wiki.archlinux.org/index.php/VMware#Kernel_modules).

3. cd to the git repo dir (vmware-host-modules) and follow the instructions in the INSTALL document of the project to "Build and install modules - DIRECTLY", i.e., the section "2a." as of this writing. This is important, as it will ensure that your modules are build specifically for your CURRENT kernel. Follow all the steps carefully.
    For example: In my case, I want to build and install modules against my current kernel, so I just need to issue this command -from the directory to which I cd before:

   make && sudo make install

You are NOT done yet! If you run vmware at this point, you will get the error that this bug mentions. Next step, you'll fix it.

4. Enter the following sequence of commands in the console:
    cd /usr/lib/vmware/lib/libz.so.1
     sudo mv libz.so.1 libz.so.1.old
     sudo ln -s /lib/x86_64-linux-gnu/libz.so.1 .
     sudo depmod -a
     sudo /etc/init.d/vmware restart

5. If all went OK, you should be ready by know. VMware Workstation (at least 14.1.2 on (K)Ubuntu 18.04) now should work.

Jarl (jarl-dk) wrote :

It works with VMware 14.

asir (asir-linux) wrote :

Really the update is very usefull...Awsome!

ToniMe (stoyanova-toni) wrote :

Many thanks, iLugo!
I followed your instructions from 2018-07-09 and wmplayer 12.5.9 worked at once! I run ubuntu 18.04.

Before that it wouldn't start with this error: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'.

Great job! Thanks!

John Drake (no6) wrote :

Running Ubuntu 18.04.1 LTS with Workstation 12.5.9 installed. Encountered the dreaded error:

/usr/lib/vmware/bin/vmware-modconfig: Relink `/lib/x86_64-linux-gnu/libbsd.so.0' with `/lib/x86_64-linux-gnu/librt.so.1' for IFUNC symbol `clock_gettime'

Following @iLugo directions exactly, VMware Workstation is now working.

I followed the git clone directions, checked out the workstation-12.5.9 branch, ran make and make install. Don't forget step 4 above!

Once completing this patching, VMware workstation starts and runs perfectly.

Absolutely a life saver. Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers